Unit AEB3R_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, AER2R_p, AER4R_p, UTAE10_p;

procedure AEB3R(N :Integer; MB :Integer; MM :Integer;
                var M :Integer; var RLB :Real; var RUB :Real;
                var A :Array of Real; var EV :Array of Real;
                var IRAB1 :Array of Integer; var RAB :Array of Real;
                var IERR :Integer);

implementation

procedure AEB3R(N :Integer; MB :Integer; MM :Integer;
                var M :Integer; var RLB :Real; var RUB :Real;
                var A :Array of Real; var EV :Array of Real;
                var IRAB1 :Array of Integer; var RAB :Array of Real;
                var IERR :Integer);
var
N1,N2,N3,N4 :Integer;
EPS1 :Real;
begin
N1 := N+1;
N2 := N*2+1;
N3 := N*3+1;
N4 := N*4+1;
AER2R(N,N,MB,A,RAB,RAB[N1-1],RAB[N2-1], False,A);
EPS1 := 0.0;
AER4R(N,EPS1,RAB,RAB[N1-1],RAB[N2-1],RLB,RUB,MM,M,EV,
     IRAB1,IERR,RAB[N3-1],RAB[N4-1]);
if ( IERR <> 0 ) 
 then UTAE10(IERR,N,29);
end;

end.
